<?php
	/**************************************************************************\
	* phpGroupWare - Inventory                                                 *
	* http://www.phpgroupware.org                                              *
	* Written by Joseph Engo <jengo@phpgroupware.org>                          *
	* 			 Bettina Gille [ceb@phpgroupware.org]                          *
	* -----------------------------------------------                          *
	* This program is free software; you can redistribute it and/or modify it  *
	* under the terms of the GNU General Public License as published by the    *
	* Free Software Foundation; either version 2 of the License, or (at your   *
	* option) any later version.                                               *
	\**************************************************************************/
	/* $Id: deletedist.php,v 1.4 2001/05/22 01:55:01 bettina Exp $ */
  
    if ($confirm)
    {
		$phpgw_info['flags'] = array('noheader' => True,
									'nonavbar' => True);
	}

	$phpgw_info['flags']['currentapp'] = 'inv';
	include('../header.inc.php');

	if (! $id)
	{
		Header('Location: ' . $phpgw->link('/inv/listdist.php'));
	}

	if ($confirm)
	{
		$d = CreateObject('phpgwapi.contacts');
		$d->delete_($id);

		Header('Location: ' . $phpgw->link('/inv/listdist.php'));
		$phpgw->common->phpgw_exit();
	}
	else
	{
		$hidden_vars = '<input type="hidden" name="id" value="' . $id . '">' . "\n";
		$t = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
		$t->set_file(array('dist_delete' => 'delete.tpl'));

		$t->set_var('deleteheader',lang('Are you sure you want to delete this distributor entry ?'));
		$t->set_var('lang_subs','');
		$t->set_var('subs', '');
		$t->set_var('nolink',$phpgw->link('/inv/listdist.php','id=' . $id));
		$t->set_var('lang_no',lang('No'));
		$t->set_var('hidden_vars',$hidden_vars);

		$t->set_var('action_url',$phpgw->link('/inv/deletedist.php','id=' . $id));
		$t->set_var('lang_yes',lang('Yes'));
		$t->pparse('out','dist_delete');
	}

	$phpgw->common->phpgw_footer();
?>
